Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update project milestone

PATCH/workspaces/{organizationId}/projects/{projectId}/milestones/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
projectIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
descriptionstring
targetDatestring
completedAtstring
Responses
200

Project milestone updated

idstringrequired
organizationIdstringrequired
projectIdstringrequired
namestringrequired
descriptionstring | nullrequired
targetDatestring | nullrequired
completedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/projects/string/milestones/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?